Ingest raw Splunk HEC events
Ingests a raw payload into an events or logs dataset. Each line of a plain-text body becomes one event. Event metadata comes from the host, source, and sourcetype query parameters instead of an envelope.
Parameters
| Property | Type | Location | Description |
|---|---|---|---|
index | string | query | The dataset (Splunk index) to ingest into. |
sourcetype | string | query | The sourcetype to attach to every event in the request. |
source | string | query | The source to attach to every event in the request. |
host | string | query | The host to attach to every event in the request. |
Body
Raw event data. Each line becomes a separate event.
text/plainapplication/jsonRequest
Try itRun this request against your Axiom organization
Credentials stay in this browser tab and are only sent to Axiom when you run the request.
Response
200The events were accepted.400The request can't be processed. `code` is `5` (no data), `6` (invalid data format, or the dataset is in another edge deployment or isn't an events or logs dataset), or `7` (no dataset could be resolved).401The token is missing (`code` `2`) or invalid (`code` `3`).403The token can't ingest into the dataset, the dataset is shared, or the organization is suspended. `code` is `4`.404Dataset not found. `code` is `7`.| Property | Type | Description |
|---|---|---|
text | stringRequired | A human-readable status message. |
code | integerRequired | The Splunk status code. 0 indicates success, 17 indicates a healthy collector, and 5, 6, and 7 indicate no data, invalid data format, and incorrect index respectively. |